C:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
      LOGICAL FUNCTION BWRITE3(FNAME, VNAME, JDATE, JTIME, BUFFER)

C-----------------------------------------------------------------------
C Function:
C   Wrapper for IOAPI function WRITE3 to hide it from the pre-processor,
C   so that WRITE3, not PWRITE3, can be called during a parallel run

C Revision History:
C   Aug 2009 Peter Percell at UH-IMAQS: created
C-----------------------------------------------------------------------

      IMPLICIT NONE

C Arguments:
      CHARACTER*(*) FNAME       ! logical file name
      CHARACTER*(*) VNAME       ! logical file name
      INTEGER       JDATE       ! date, formatted YYYYDDD
      INTEGER       JTIME       ! time, formatted HHMMSS
      REAL          BUFFER(*)   ! output buffer array

C External Functions:
      LOGICAL, EXTERNAL :: WRITE3

C-----------------------------------------------------------------------

      BWRITE3 = WRITE3(FNAME, VNAME, JDATE, JTIME, BUFFER)

      END FUNCTION BWRITE3
